{% extends "base.html" %}
{% block title %}Schema list{% endblock %}
{% block content %}
    <nav class="breadcrumb" aria-label="breadcrumbs">
        <ul>
            <li><a href="{% url 'home' %}">Home</a></li>
            <li class="is-active"><a href="{% url 'schema:list_view' %}">Schema list</a></li>
        </ul>
    </nav>

    <form action="delete" method="post">
        {% csrf_token %}
        <div class="level-right">
            <a class="button level-item is-primary" href="{% url 'schema:create_view' %}">New schema</a>
        </div>
        <table class="table">
            <thead>
            <tr>
                <th>#</th>
                <th>Title</th>
                <th>Modified</th>
                <th colspan="2">Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for schema in schemas %}
                <tr>
                    <td>{{ schema.pk }}</td>
                    <td><a href="{% url 'schema:detail_view' schema_id=schema.pk %}">{{ schema.name }}</a></td>
                    <td>{{ schema.updated|date:'d.m.Y H:i' }}</td>
                    <td><a href="{% url 'schema:update_view' schema_id=schema.pk %}">Edit</a></td>
                    <td>
                        <a onclick="return confirm('Are you sure you want to delete this item?');">
                            <button type="submit" name='schema_id-{{ schema.pk }}'>Delete</button>
                        </a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </form>
{% endblock %}
